Skip to main content
curl -G https://api.chargeapi.co/v1/policies \
  -H "Authorization: Bearer ch_sk_test_..." \
  -d status=active \
  -d limit=10
{
    "data": [
        {
            "id": "pol_hbyAN9SMUkmo8AD0bk10VD27dOK0gqah",
            "object": "policy",
            "created": "2026-04-01T00:17:55.220Z",
            "description": null,
            "metadata": {},
            "mode": "enforcement",
            "name": "Example Policy",
            "rules": {
                "allowed_operators": ["example_operator"],
                "denied_operators": [],
                "geofences": [
                    {
                        "center": {
                            "latitude": 48.8698,
                            "longitude": 2.3319
                        },
                        "name": "Example Zone",
                        "radius_meters": 1500
                    }
                ],
                "max_price_per_kwh": 25,
                "time_windows": [
                    {
                        "days_of_week": ["monday", "tuesday", "wednesday", "thursday", "friday"],
                        "end_time": "18:00",
                        "start_time": "09:00"
                    }
                ]
            },
            "status": "active"
        }
    ],
    "next_page_url": "https://api.chargeapi.co/v1/policies?page=page_MHyulbAysB6BGMUs3AFd85UXM2nM5x1F86hzmpqo3uQ&status=active&limit=10",
    "previous_page_url": null
}
Returns a paginated list of policy objects for the authenticated account.
curl -G https://api.chargeapi.co/v1/policies \
  -H "Authorization: Bearer ch_sk_test_..." \
  -d status=active \
  -d limit=10
{
    "data": [
        {
            "id": "pol_hbyAN9SMUkmo8AD0bk10VD27dOK0gqah",
            "object": "policy",
            "created": "2026-04-01T00:17:55.220Z",
            "description": null,
            "metadata": {},
            "mode": "enforcement",
            "name": "Example Policy",
            "rules": {
                "allowed_operators": ["example_operator"],
                "denied_operators": [],
                "geofences": [
                    {
                        "center": {
                            "latitude": 48.8698,
                            "longitude": 2.3319
                        },
                        "name": "Example Zone",
                        "radius_meters": 1500
                    }
                ],
                "max_price_per_kwh": 25,
                "time_windows": [
                    {
                        "days_of_week": ["monday", "tuesday", "wednesday", "thursday", "friday"],
                        "end_time": "18:00",
                        "start_time": "09:00"
                    }
                ]
            },
            "status": "active"
        }
    ],
    "next_page_url": "https://api.chargeapi.co/v1/policies?page=page_MHyulbAysB6BGMUs3AFd85UXM2nM5x1F86hzmpqo3uQ&status=active&limit=10",
    "previous_page_url": null
}

Parameters

limit
integer
Maximum number of objects to return (default 10).
page
string
Page token from a previous list response.
status
string
Filter policies by status.Available options: active, inactive

Returns

Returns a page of policies.
data
array of object
required
Array of policy objects.
next_page_url
string
required
URL for the next page of results, or null when there is no next page.
previous_page_url
string
required
URL for the previous page of results, or null when there is no previous page.